"use strict";

exports.__esModule = true;
exports.default = Element;

function Element(type, key, ref, props, owner) {
  var element = {
    // Built-in properties that belong on the element
    type: type,
    key: key,
    ref: ref,
    props: props,
    // Record the component responsible for creating this element.
    _owner: owner
  };

  if (process.env.NODE_ENV !== 'production') {
    // We make validation flag non-enumerable, so the test framework could ignore it
    Object.defineProperty(element, '__validated', {
      configurable: false,
      enumerable: false,
      writable: true,
      value: false
    });
  }

  return element;
}

;